Package com.emc.documentum.rest.dfc.query

# Class QueryExecutor

java.lang.Object
com.emc.documentum.rest.dfc.query.QueryExecutor

public class QueryExecutor extends Object
A DQL query executor to run a DQL with the given DFC session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<com.documentum.fc.client.IDfTypedObject>`
  `run(com.documentum.fc.client.IDfSession session, String dql)`
  Execute a DF_READ_QUERY type query
  `static List<com.documentum.fc.client.IDfTypedObject>`
  `run(com.documentum.fc.client.IDfSession session, String dql, QueryType queryType)`
  Execute a DQL query
  `static List<com.documentum.fc.client.IDfTypedObject>`
  `run(com.documentum.fc.client.IDfSession session, String dql, QueryType queryType, int offset, int limit)`
  Execute a DQL and return a paginated result set
  `static CollectionResult<com.documentum.fc.client.IDfTypedObject>`
  `runPagedQuery(com.documentum.fc.client.IDfSession session, String dql, boolean isRanged, int offset, int limit)`
  Execute a DF_READ_QUERY type query and return a paginated result set

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### run

    public static List<com.documentum.fc.client.IDfTypedObject> run(com.documentum.fc.client.IDfSession session, String dql, QueryType queryType) throws com.documentum.fc.common.DfException
    Execute a DQL query
    Parameters:
      `session` - the session to execute this query
      `dql` - the DQL statement to be executed
      `queryType` - the query type to be used
    Returns:
      a collection of result set
    Throws:
      `com.documentum.fc.common.DfException` - when fails to execute the query

  - ### run

    public static List<com.documentum.fc.client.IDfTypedObject> run(com.documentum.fc.client.IDfSession session, String dql, QueryType queryType, int offset, int limit) throws com.documentum.fc.common.DfException
    Execute a DQL and return a paginated result set
    Parameters:
      `session` - the session to execute this query
      `dql` - the DQL statement to be executed
      `queryType` - the query type to be used
      `offset` - the number of items to be skipped
      `limit` - the max number of items to be returned
    Returns:
      a paginated collection of result set
    Throws:
      `com.documentum.fc.common.DfException` - when query fails to run

  - ### run

    public static List<com.documentum.fc.client.IDfTypedObject> run(com.documentum.fc.client.IDfSession session, String dql) throws com.documentum.fc.common.DfException
    Execute a DF_READ_QUERY type query
    Parameters:
      `session` - the session to execute this query
      `dql` - the DQL statement to be executed
    Returns:
      a collection of result set
    Throws:
      `com.documentum.fc.common.DfException` - when fails to execute the query

  - ### runPagedQuery

    public static CollectionResult<com.documentum.fc.client.IDfTypedObject> runPagedQuery(com.documentum.fc.client.IDfSession session, String dql, boolean isRanged, int offset, int limit) throws com.documentum.fc.common.DfException
    Execute a DF_READ_QUERY type query and return a paginated result set
    Parameters:
      `session` - the session to execute this query
      `dql` - the DQL statement to be executed
      `isRanged` - indicate whether the dql is enabling ranged query
      `offset` - the number of items to be skipped
      `limit` - the max number of items to be returned
    Returns:
      a paginated collection of result set
    Throws:
      `com.documentum.fc.common.DfException` - when query fails to run